Index: source/chart/PropertyMaps.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/chart/PropertyMaps.cxx,v
retrieving revision 1.43
retrieving revision 1.43.10.1
diff -u -r1.43 -r1.43.10.1
--- source/chart/PropertyMaps.cxx	19 Jun 2006 18:00:40 -0000	1.43
+++ source/chart/PropertyMaps.cxx	30 Jun 2006 12:00:19 -0000	1.43.10.1
@@ -271,7 +271,7 @@
             case XML_SCH_CONTEXT_SPECIAL_STEP_HELP:
             {
                 // do auto-check directly
-                sal_Bool bAuto;
+                sal_Bool bAuto = false;
                 uno::Any aAny = rPropSet->getPropertyValue( ::rtl::OUString::createFromAscii( "AutoStepHelp" ) );
                 aAny >>= bAuto;
                 if( bAuto )
@@ -308,7 +308,7 @@
 			{
 				try
 				{
-					sal_Bool bAuto;
+					sal_Bool bAuto = false;
 					uno::Any aAny = rPropSet->getPropertyValue( aAutoPropName );
 					aAny >>= bAuto;
 					if( bAuto )
Index: source/chart/SchXMLExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/chart/SchXMLExport.cxx,v
retrieving revision 1.81
retrieving revision 1.81.10.1
diff -u -r1.81 -r1.81.10.1
--- source/chart/SchXMLExport.cxx	19 Jun 2006 18:01:21 -0000	1.81
+++ source/chart/SchXMLExport.cxx	30 Jun 2006 12:00:20 -0000	1.81.10.1
@@ -978,7 +978,7 @@
                 if( xDocProp.is())
                 {
                     uno::Any aAny;
-                    sal_Bool bFirstCol, bFirstRow;
+                    sal_Bool bFirstCol = false, bFirstRow = false;
 
                     try
                     {
Index: source/core/SettingsExportHelper.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/core/SettingsExportHelper.cxx,v
retrieving revision 1.25
retrieving revision 1.25.10.1
diff -u -r1.25 -r1.25.10.1
--- source/core/SettingsExportHelper.cxx	19 Jun 2006 18:04:06 -0000	1.25
+++ source/core/SettingsExportHelper.cxx	30 Jun 2006 12:00:20 -0000	1.25.10.1
@@ -140,7 +140,7 @@
 		break;
 		case uno::TypeClass_BYTE:
 		{
-			sal_Int8 nInt8;
+			sal_Int8 nInt8 = 0;
 			aAny >>= nInt8;
 			exportByte(nInt8, rName);
 		}
Index: source/draw/animexp.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/draw/animexp.cxx,v
retrieving revision 1.17
retrieving revision 1.17.10.1
diff -u -r1.17 -r1.17.10.1
--- source/draw/animexp.cxx	19 Jun 2006 18:09:34 -0000	1.17
+++ source/draw/animexp.cxx	30 Jun 2006 12:00:20 -0000	1.17.10.1
@@ -382,7 +382,7 @@
 			xProps->getPropertyValue( mpImpl->msSpeed ) >>= aEffect.meSpeed;
 
 			
-			sal_Bool bIsAnimation;
+			sal_Bool bIsAnimation = false;
 			xProps->getPropertyValue( mpImpl->msIsAnimation ) >>= bIsAnimation;
 			if( bIsAnimation )
 			{
@@ -448,8 +448,8 @@
 					aEffect.maSoundURL = aEmptyStr;
 				}
 
-				sal_Bool bDimPrev;
-				sal_Bool bDimHide;
+				sal_Bool bDimPrev = false;
+				sal_Bool bDimHide = false;
 				xProps->getPropertyValue( mpImpl->msDimPrev ) >>= bDimPrev;
 				xProps->getPropertyValue( mpImpl->msDimHide ) >>= bDimHide;
 				if( bDimPrev || bDimHide )
Index: source/draw/sdpropls.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/draw/sdpropls.cxx,v
retrieving revision 1.87
retrieving revision 1.87.10.1
diff -u -r1.87 -r1.87.10.1
--- source/draw/sdpropls.cxx	19 Jun 2006 18:11:12 -0000	1.87
+++ source/draw/sdpropls.cxx	30 Jun 2006 12:00:21 -0000	1.87.10.1
@@ -1419,16 +1419,14 @@
 			case CTF_SD_MOVE_PROTECT:
 				{
 					sal_Bool bProtected;
-					property->maValue >>= bProtected;
-					if( !bProtected )
+					if( (property->maValue >>= bProtected) && !bProtected )
 						property->mnIndex = -1;
 				}
 				break;
 			case CTF_SD_SIZE_PROTECT:
 				{
 					sal_Bool bProtected;
-					property->maValue >>= bProtected;
-					if( !bProtected )
+					if( (property->maValue >>= bProtected) && !bProtected )
 						property->mnIndex = -1;
 				}
 				break;
@@ -1515,7 +1513,7 @@
 
 	if( pCaptionIsEscRel )
 	{
-		sal_Bool bIsRel;
+		sal_Bool bIsRel = false;
 		pCaptionIsEscRel->maValue >>= bIsRel;
 
 		if( bIsRel )
@@ -1691,7 +1689,7 @@
 //			case CTF_PAGE_NUMBER_VISIBLE:
 //			case CTF_DATE_TIME_VISIBLE:
 				{
-					sal_Bool bVisible;
+					sal_Bool bVisible = false;
 					(*property).maValue >>= bVisible;
 					if( bVisible )
 						(*property).mnIndex = -1;
@@ -1726,7 +1724,7 @@
 
 	if( pDateTimeFormat && pDateTimeUpdate )
 	{
-		sal_Bool bIsFixed;
+		sal_Bool bIsFixed = false;
 		pDateTimeUpdate->maValue >>= bIsFixed;
 		if( bIsFixed )
 			pDateTimeFormat->mnIndex = -1;
Index: source/draw/sdxmlexp.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/draw/sdxmlexp.cxx,v
retrieving revision 1.105
retrieving revision 1.105.10.1
diff -u -r1.105 -r1.105.10.1
--- source/draw/sdxmlexp.cxx	19 Jun 2006 18:11:29 -0000	1.105
+++ source/draw/sdxmlexp.cxx	30 Jun 2006 12:00:21 -0000	1.105.10.1
@@ -1694,7 +1694,7 @@
 		const OUString aStrDateTimeTextProp( RTL_CONSTASCII_USTRINGPARAM( "DateTimeText" ) );
 		if( xInfo->hasPropertyByName( aStrDateTimeTextProp ) )
 		{
-			sal_Bool bFixed;
+			sal_Bool bFixed = false;
 			sal_Int32 nFormat;
 			xSet->getPropertyValue( aStrDateTimeTextProp ) >>= aStrText;
 			xSet->getPropertyValue( OUString( RTL_CONSTASCII_USTRINGPARAM( "IsDateTimeFixed" ) ) ) >>= bFixed;
@@ -2138,7 +2138,7 @@
 
 		sal_Bool bHasAttr = sal_False;
 
-		sal_Bool bTemp;
+		sal_Bool bTemp = false;
 
 		// export range
 		xPresProps->getPropertyValue( OUString( RTL_CONSTASCII_USTRINGPARAM( "IsShowAll" ) ) ) >>= bTemp;
Index: source/draw/shapeexport2.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/draw/shapeexport2.cxx,v
retrieving revision 1.51
retrieving revision 1.51.10.1
diff -u -r1.51 -r1.51.10.1
--- source/draw/shapeexport2.cxx	19 Jun 2006 18:12:19 -0000	1.51
+++ source/draw/shapeexport2.cxx	30 Jun 2006 12:00:21 -0000	1.51.10.1
@@ -298,7 +298,7 @@
 	{
 		uno::Reference< beans::XPropertySetInfo > xPropSetInfo( xPropSet->getPropertySetInfo() );
 
-		sal_Bool bTemp;
+		sal_Bool bTemp = false;
 
 		// is empty pes shape?
 		if( xPropSetInfo.is() && xPropSetInfo->hasPropertyByName(OUString(RTL_CONSTASCII_USTRINGPARAM("IsEmptyPresentationObject"))))
@@ -381,7 +381,7 @@
 		presentation::AnimationEffect eEffect;
 		presentation::AnimationSpeed eSpeed;
 		OUString aStrSoundURL;
-		sal_Bool bPlayFull;
+		sal_Bool bPlayFull = false;
 		sal_Int32 nVerb;
 		OUString aStrMacro;
 		OUString aStrLibrary;
@@ -1561,7 +1561,7 @@
 
 			OUString sClassId;
 			OUString sURL;
-			sal_Bool bInternal;
+			sal_Bool bInternal = false;
 			xPropSet->getPropertyValue(OUString(RTL_CONSTASCII_USTRINGPARAM("IsInternal"))) >>= bInternal;
 
 			if( !bIsEmptyPresObj )
@@ -1813,7 +1813,7 @@
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_CODE, aStr );
 
 		// export draw:may-script
-		sal_Bool bIsScript;
+		sal_Bool bIsScript = false;
 		xPropSet->getPropertyValue( OUString( RTL_CONSTASCII_USTRINGPARAM( "AppletIsScript" ) ) ) >>= bIsScript;
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_MAY_SCRIPT, bIsScript ? XML_TRUE : XML_FALSE );
 
@@ -1918,21 +1918,21 @@
 		// export parameters
 		const OUString aFalseStr( RTL_CONSTASCII_USTRINGPARAM( "false" ) ), aTrueStr( RTL_CONSTASCII_USTRINGPARAM( "true" ) );
 
-		sal_Bool bLoop;
+		sal_Bool bLoop = false;
 		const OUString aLoopStr( RTL_CONSTASCII_USTRINGPARAM( "Loop" ) );
 		xPropSet->getPropertyValue( aLoopStr ) >>= bLoop;
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_NAME, aLoopStr );
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_VALUE, bLoop ? aTrueStr : aFalseStr );
 		delete( new SvXMLElementExport( mrExport, XML_NAMESPACE_DRAW, XML_PARAM, sal_False, sal_True ) );
 
-		sal_Bool bMute;
+		sal_Bool bMute = false;
 		const OUString aMuteStr( RTL_CONSTASCII_USTRINGPARAM( "Mute" ) );
 		xPropSet->getPropertyValue( aMuteStr ) >>= bMute;
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_NAME, aMuteStr );
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_VALUE, bMute ? aTrueStr : aFalseStr );
 		delete( new SvXMLElementExport( mrExport, XML_NAMESPACE_DRAW, XML_PARAM, sal_False, sal_True ) );
 
-		sal_Int16 nVolumeDB;
+		sal_Int16 nVolumeDB = 0;
 		const OUString aVolumeDBStr( RTL_CONSTASCII_USTRINGPARAM( "VolumeDB" ) );
 		xPropSet->getPropertyValue( OUString( RTL_CONSTASCII_USTRINGPARAM( "VolumeDB" ) ) ) >>= nVolumeDB;
 		mrExport.AddAttribute( XML_NAMESPACE_DRAW, XML_NAME, aVolumeDBStr );
Index: source/draw/shapeexport3.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/draw/shapeexport3.cxx,v
retrieving revision 1.14
retrieving revision 1.14.10.1
diff -u -r1.14 -r1.14.10.1
--- source/draw/shapeexport3.cxx	19 Jun 2006 18:12:33 -0000	1.14
+++ source/draw/shapeexport3.cxx	30 Jun 2006 12:00:21 -0000	1.14.10.1
@@ -448,7 +448,7 @@
 
 	// shadowSlant
 	aAny = xPropSet->getPropertyValue(OUString(RTL_CONSTASCII_USTRINGPARAM("D3DSceneShadowSlant")));
-	sal_Int16 nShadowSlant;
+	sal_Int16 nShadowSlant = 0;
 	aAny >>= nShadowSlant;
 	mrExport.GetMM100UnitConverter().convertNumber(sStringBuffer, (sal_Int32)nShadowSlant);
 	aStr = sStringBuffer.makeStringAndClear();
@@ -486,7 +486,7 @@
 
 	// lightingMode
 	aAny = xPropSet->getPropertyValue(OUString(RTL_CONSTASCII_USTRINGPARAM("D3DSceneTwoSidedLighting")));
-	sal_Bool bTwoSidedLighting;
+	sal_Bool bTwoSidedLighting = false;
 	aAny >>= bTwoSidedLighting;
 	mrExport.GetMM100UnitConverter().convertBool(sStringBuffer, bTwoSidedLighting);
 	aStr = sStringBuffer.makeStringAndClear();
@@ -510,7 +510,7 @@
 	Color aLightColor;
 	Vector3D aLightDirection;
 	drawing::Direction3D xLightDir;
-	sal_Bool bLightOnOff;
+	sal_Bool bLightOnOff = false;
 	for(sal_Int32 nLamp = 1; nLamp <= 8; nLamp++)
 	{
 		aIndexStr = OUString::valueOf( nLamp );
Index: source/forms/controlpropertyhdl.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/forms/controlpropertyhdl.cxx,v
retrieving revision 1.13
retrieving revision 1.13.10.1
diff -u -r1.13 -r1.13.10.1
--- source/forms/controlpropertyhdl.cxx	19 Jun 2006 18:16:12 -0000	1.13
+++ source/forms/controlpropertyhdl.cxx	30 Jun 2006 12:00:22 -0000	1.13.10.1
@@ -183,7 +183,7 @@
 			sal_Bool bBelow = 0 != (nFontEmphasis & FontEmphasisMark::BELOW);
 
 			// convert
-			if (bSuccess = _rUnitConverter.convertEnum(aReturn, nType, OEnumMapper::getEnumMap(OEnumMapper::epFontEmphasis), XML_NONE))
+			if ((bSuccess = _rUnitConverter.convertEnum(aReturn, nType, OEnumMapper::getEnumMap(OEnumMapper::epFontEmphasis), XML_NONE)))
 			{
 				aReturn.append( (sal_Unicode)' ' );
 				aReturn.append( GetXMLToken(bBelow ? XML_BELOW : XML_ABOVE) );
@@ -378,7 +378,7 @@
 		sal_Bool bSuccess = sal_False;
 
 		sal_Int32 nWidth = 0;
-		if (bSuccess = _rUnitConverter.convertMeasure(nWidth, _rStrImpValue, MAP_POINT))
+		if ((bSuccess = _rUnitConverter.convertMeasure(nWidth, _rStrImpValue, MAP_POINT)))
 			_rValue <<= (sal_Int16)nWidth;
 
 		return bSuccess;
@@ -410,7 +410,7 @@
 		sal_Bool bSucces = sal_False;
 
 		double fValue;
-		if (bSucces = _rUnitConverter.convertDouble(fValue, _rStrImpValue))
+		if ((bSucces = _rUnitConverter.convertDouble(fValue, _rStrImpValue)))
 		{
 			fValue *= 10;
 			_rValue <<= (float)fValue;
@@ -425,7 +425,7 @@
 		float fAngle;
 		sal_Bool bSuccess = sal_False;
 
-		if (bSuccess = (_rValue >>= fAngle))
+		if ((bSuccess = (_rValue >>= fAngle)))
 		{
 			rtl::OUStringBuffer sValue;
 			_rUnitConverter.convertDouble(sValue, ((double)fAngle) / 10);
Index: source/forms/gridcolumnproptranslator.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/forms/gridcolumnproptranslator.cxx,v
retrieving revision 1.4
retrieving revision 1.4.10.1
diff -u -r1.4 -r1.4.10.1
--- source/forms/gridcolumnproptranslator.cxx	19 Jun 2006 18:19:21 -0000	1.4
+++ source/forms/gridcolumnproptranslator.cxx	30 Jun 2006 12:00:22 -0000	1.4.10.1
@@ -117,7 +117,7 @@
 	    //----------------------------------------------------------------
         void valueAlignToParaAdjust(Any& rValue)  
         {
-            sal_Int16 nValue;
+            sal_Int16 nValue = 0;
             rValue >>= nValue;
             const AlignmentTranslationEntry* pTranslation = AlignmentTranslations;
             while (-1 != pTranslation->nControlValue)
Index: source/style/GradientStyle.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/GradientStyle.cxx,v
retrieving revision 1.12
retrieving revision 1.12.10.1
diff -u -r1.12 -r1.12.10.1
--- source/style/GradientStyle.cxx	19 Jun 2006 18:24:40 -0000	1.12
+++ source/style/GradientStyle.cxx	30 Jun 2006 12:00:22 -0000	1.12.10.1
@@ -215,14 +215,14 @@
 		case XML_TOK_GRADIENT_STARTCOLOR:
 			{
 				Color aColor;
-				if( bHasStartColor = rUnitConverter.convertColor( aColor, rStrValue ) )
+				if( (bHasStartColor = rUnitConverter.convertColor( aColor, rStrValue )) )
 					aGradient.StartColor = (sal_Int32)( aColor.GetColor() );
 			}
 			break;
 		case XML_TOK_GRADIENT_ENDCOLOR:
 			{
 				Color aColor;
-				if( bHasStartColor = rUnitConverter.convertColor( aColor, rStrValue ) )
+				if( (bHasStartColor = rUnitConverter.convertColor( aColor, rStrValue )) )
 					aGradient.EndColor = (sal_Int32)( aColor.GetColor() );
 			}
 			break;
Index: source/style/HatchStyle.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/HatchStyle.cxx,v
retrieving revision 1.12
retrieving revision 1.12.10.1
diff -u -r1.12 -r1.12.10.1
--- source/style/HatchStyle.cxx	19 Jun 2006 18:24:53 -0000	1.12
+++ source/style/HatchStyle.cxx	30 Jun 2006 12:00:22 -0000	1.12.10.1
@@ -174,14 +174,14 @@
 			case XML_TOK_HATCH_STYLE:
 				{
 					sal_uInt16 eValue;
-					if( bHasStyle = rUnitConverter.convertEnum( eValue, rStrValue, pXML_HatchStyle_Enum ) )
+					if( (bHasStyle = rUnitConverter.convertEnum( eValue, rStrValue, pXML_HatchStyle_Enum )) )
 						aHatch.Style = (drawing::HatchStyle) eValue;
 				}
 				break;
 			case XML_TOK_HATCH_COLOR:
 				{
 					Color aColor;
-					if( bHasColor = rUnitConverter.convertColor( aColor, rStrValue ) )
+					if( (bHasColor = rUnitConverter.convertColor( aColor, rStrValue )) )
 						aHatch.Color = (sal_Int32)( aColor.GetColor() );
 				}
 				break;
Index: source/style/adjushdl.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/adjushdl.cxx,v
retrieving revision 1.6
retrieving revision 1.6.146.1
diff -u -r1.6 -r1.6.146.1
--- source/style/adjushdl.cxx	9 Sep 2005 14:36:13 -0000	1.6
+++ source/style/adjushdl.cxx	30 Jun 2006 12:00:23 -0000	1.6.146.1
@@ -114,7 +114,7 @@
 	if(!rValue.hasValue())
 		return sal_False;     //added by BerryJia for fixing Bug102407 2002-11-5
 	OUStringBuffer aOut;
-	sal_Int16 nVal;
+	sal_Int16 nVal = 0;
 
 	rValue >>= nVal;
 
@@ -149,7 +149,7 @@
 sal_Bool XMLLastLineAdjustPropHdl::exportXML( OUString& rStrExpValue, const uno::Any& rValue, const SvXMLUnitConverter& rUnitConverter ) const
 { 
 	OUStringBuffer aOut;
-	sal_Int16 nVal;
+	sal_Int16 nVal = 0;
 	sal_Bool bRet = sal_False;
 
 	rValue >>= nVal;
Index: source/style/xmlbahdl.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlbahdl.cxx,v
retrieving revision 1.19
retrieving revision 1.19.10.1
diff -u -r1.19 -r1.19.10.1
--- source/style/xmlbahdl.cxx	19 Jun 2006 18:35:44 -0000	1.19
+++ source/style/xmlbahdl.cxx	30 Jun 2006 12:00:23 -0000	1.19.10.1
@@ -89,14 +89,14 @@
 	{
 	case 1:
 		{
-			sal_Int8 nValue8;
+			sal_Int8 nValue8 = 0;
 			bRet = rValue >>= nValue8;
 			nValue = nValue8;
 		}
 		break;
 	case 2:
 		{
-			sal_Int16 nValue16;
+			sal_Int16 nValue16 = 0;
 			bRet = rValue >>= nValue16;
 			nValue = nValue16;
 		}
Index: source/style/xmlnume.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlnume.cxx,v
retrieving revision 1.25
retrieving revision 1.25.10.1
diff -u -r1.25 -r1.25.10.1
--- source/style/xmlnume.cxx	19 Jun 2006 18:36:27 -0000	1.25
+++ source/style/xmlnume.cxx	30 Jun 2006 12:00:23 -0000	1.25.10.1
@@ -216,7 +216,7 @@
 		}
 		else if( rProp.Name.equalsAsciiL( XML_UNO_NAME_NRULE_ADJUST, sizeof(XML_UNO_NAME_NRULE_ADJUST)-1 ) )
 		{
-			sal_Int16 nValue;
+			sal_Int16 nValue = 0;
 			rProp.Value >>= nValue;
 			eAdjust = nValue;
 		}
@@ -282,7 +282,7 @@
 		}
 		else if( rProp.Name.equalsAsciiL( XML_UNO_NAME_NRULE_VERT_ORIENT, sizeof(XML_UNO_NAME_NRULE_VERT_ORIENT)-1 ) )
 		{
-			sal_Int16 nValue;
+			sal_Int16 nValue = 0;
 			rProp.Value >>= nValue;
 			eImageVertOrient = nValue;
 		}
Index: source/style/xmlnumi.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/style/xmlnumi.cxx,v
retrieving revision 1.36
retrieving revision 1.36.10.1
diff -u -r1.36 -r1.36.10.1
--- source/style/xmlnumi.cxx	19 Jun 2006 18:37:09 -0000	1.36
+++ source/style/xmlnumi.cxx	30 Jun 2006 12:00:23 -0000	1.36.10.1
@@ -795,7 +795,7 @@
 			if( pFontDecls->FillProperties( sFontName, aProps, 0, 1, 2, 3, 4 ) )
 			{
 				OUString sTmp;
-				sal_Int16 nTmp;
+				sal_Int16 nTmp = 0;
 				::std::vector< XMLPropertyState >::iterator i;
 				for( i = aProps.begin(); i != aProps.end(); i++ )
 				{
@@ -843,7 +843,7 @@
 		if( sFontFamilyGeneric.getLength() &&
 			aFamilyHdl.importXML( sFontFamilyGeneric, aAny, rUnitConv  ) )
 		{
-			sal_Int16 nTmp;
+			sal_Int16 nTmp = 0;
 			aAny >>= nTmp;
 			rListLevel.SetBulletFontFamily( nTmp );
 		}
@@ -855,7 +855,7 @@
 		if( sFontPitch.getLength() &&
 			aPitchHdl.importXML( sFontPitch, aAny, rUnitConv  ) )
 		{
-			sal_Int16 nTmp;
+			sal_Int16 nTmp = 0;
 			aAny >>= nTmp;
 			rListLevel.SetBulletFontPitch( nTmp );
 		}
@@ -864,7 +864,7 @@
 		if( sFontCharset.getLength() &&
 			aEncHdl.importXML( sFontCharset, aAny, rUnitConv  ) )
 		{
-			sal_Int16 nTmp;
+			sal_Int16 nTmp = 0;
 			aAny >>= nTmp;
 			rListLevel.SetBulletFontEncoding( nTmp );
 		}
Index: source/text/XMLFootnoteImportContext.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLFootnoteImportContext.cxx,v
retrieving revision 1.10
retrieving revision 1.10.10.1
diff -u -r1.10 -r1.10.10.1
--- source/text/XMLFootnoteImportContext.cxx	19 Jun 2006 18:39:29 -0000	1.10
+++ source/text/XMLFootnoteImportContext.cxx	30 Jun 2006 12:00:24 -0000	1.10.10.1
@@ -187,7 +187,7 @@
 				// get ID ...
 				Reference<XPropertySet> xPropertySet(xTextContent, UNO_QUERY);
 				Any aAny =xPropertySet->getPropertyValue(sPropertyReferenceId);
-				sal_Int16 nID;
+				sal_Int16 nID = 0;
 				aAny >>= nID;
 
 				// ... and insert into map
Index: source/text/XMLIndexMarkExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLIndexMarkExport.cxx,v
retrieving revision 1.9
retrieving revision 1.9.10.1
diff -u -r1.9 -r1.9.10.1
--- source/text/XMLIndexMarkExport.cxx	19 Jun 2006 18:40:20 -0000	1.9
+++ source/text/XMLIndexMarkExport.cxx	30 Jun 2006 12:00:24 -0000	1.9.10.1
@@ -219,7 +219,7 @@
 	const Reference<XPropertySet> & rPropSet)
 {
 	// outline level
-	sal_Int16 nLevel;
+	sal_Int16 nLevel = 0;
 	Any aAny = rPropSet->getPropertyValue(sLevel);
 	aAny >>= nLevel;
 	OUStringBuffer sBuf;
Index: source/text/XMLLineNumberingExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLLineNumberingExport.cxx,v
retrieving revision 1.8
retrieving revision 1.8.10.1
diff -u -r1.8 -r1.8.10.1
--- source/text/XMLLineNumberingExport.cxx	19 Jun 2006 18:42:41 -0000	1.8
+++ source/text/XMLLineNumberingExport.cxx	30 Jun 2006 12:00:24 -0000	1.8.10.1
@@ -178,7 +178,7 @@
 			// NumeringType
 			OUStringBuffer sNumPosBuf;
 			aAny = xLineNumbering->getPropertyValue(sNumberingType);
-			sal_Int16 nFormat;
+			sal_Int16 nFormat = 0;
 			aAny >>= nFormat;
 			rExport.GetMM100UnitConverter().convertNumFormat( sNumPosBuf, nFormat );
 			rExport.AddAttribute(XML_NAMESPACE_STYLE, XML_NUM_FORMAT,
@@ -193,7 +193,7 @@
 
 			// number position
 			aAny = xLineNumbering->getPropertyValue(sNumberPosition);
-			sal_Int16 nPosition;
+			sal_Int16 nPosition = 0;
 			aAny >>= nPosition;
 			if (SvXMLUnitConverter::convertEnum(sNumPosBuf, nPosition, 
 												aLineNumberPositionMap))
@@ -204,7 +204,7 @@
 
 			// sInterval
 			aAny = xLineNumbering->getPropertyValue(sInterval);
-			sal_Int16 nLineInterval;
+			sal_Int16 nLineInterval = 0;
 			aAny >>= nLineInterval;
 			OUStringBuffer sBuf;
 			SvXMLUnitConverter::convertNumber(sBuf, 
@@ -225,7 +225,7 @@
 
 				// SeparatorInterval
 				aAny = xLineNumbering->getPropertyValue(sSeparatorInterval);
-				sal_Int16 nLineDistance;
+				sal_Int16 nLineDistance = 0;
 				aAny >>= nLineDistance;
 				SvXMLUnitConverter::convertNumber(sBuf, 
 												  (sal_Int32)nLineDistance);
Index: source/text/XMLSectionExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLSectionExport.cxx,v
retrieving revision 1.41
retrieving revision 1.41.10.1
diff -u -r1.41 -r1.41.10.1
--- source/text/XMLSectionExport.cxx	19 Jun 2006 18:43:36 -0000	1.41
+++ source/text/XMLSectionExport.cxx	30 Jun 2006 12:00:24 -0000	1.41.10.1
@@ -1049,7 +1049,7 @@
 
 	// caption format
 	aAny = rPropertySet->getPropertyValue(sLabelDisplayType);
-	sal_Int16 nType;
+	sal_Int16 nType = 0;
 	aAny >>= nType;
 	GetExport().AddAttribute(XML_NAMESPACE_TEXT,
                              XML_CAPTION_SEQUENCE_FORMAT,
@@ -1338,11 +1338,11 @@
 	sal_Bool bFillCharOK = sal_False;
 
 	// chapter format
-	sal_Int16 nChapterFormat;
+	sal_Int16 nChapterFormat = 0;
 	sal_Bool bChapterFormatOK = sal_False;
 
 	// Bibliography Data
-	sal_Int16 nBibliographyData;
+	sal_Int16 nBibliographyData = 0;
 	sal_Bool bBibliographyDataOK = sal_False;
 
     // With Tab Stop #i21237#
@@ -1738,7 +1738,7 @@
 					if (rValue.Name.equalsAsciiL(sAPI_SortKey, 
 												 sizeof(sAPI_SortKey)-1))
 					{
-						sal_Int16 nKey;
+						sal_Int16 nKey = 0;
 						rValue.Value >>= nKey;
 						OUStringBuffer sBuf;
 						if (SvXMLUnitConverter::convertEnum( sBuf, nKey,
Index: source/text/XMLTextColumnsExport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLTextColumnsExport.cxx,v
retrieving revision 1.8
retrieving revision 1.8.10.1
diff -u -r1.8 -r1.8.10.1
--- source/text/XMLTextColumnsExport.cxx	19 Jun 2006 18:45:26 -0000	1.8
+++ source/text/XMLTextColumnsExport.cxx	30 Jun 2006 12:00:24 -0000	1.8.10.1
@@ -154,7 +154,7 @@
 
 			// style:height
 			aAny = xPropSet->getPropertyValue( sSeparatorLineRelativeHeight );
-			sal_Int8 nHeight;
+			sal_Int8 nHeight = 0;
 			aAny >>= nHeight;
 			GetExport().GetMM100UnitConverter().convertPercent( sValue,
 																nHeight );
Index: source/text/XMLTextNumRuleInfo.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/XMLTextNumRuleInfo.cxx,v
retrieving revision 1.8
retrieving revision 1.8.146.1
diff -u -r1.8 -r1.8.146.1
--- source/text/XMLTextNumRuleInfo.cxx	9 Sep 2005 15:24:53 -0000	1.8
+++ source/text/XMLTextNumRuleInfo.cxx	30 Jun 2006 12:00:24 -0000	1.8.146.1
@@ -165,7 +165,7 @@
 
 			if( rProp.Name == sNumberingType )
 			{
-				sal_Int16 nType;
+				sal_Int16 nType = 0;
 				rProp.Value >>= nType;
 				if( NumberingType::CHAR_SPECIAL != nType &&
 					NumberingType::BITMAP != nType )
Index: source/text/txtexppr.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtexppr.cxx,v
retrieving revision 1.30
retrieving revision 1.30.10.1
diff -u -r1.30 -r1.30.10.1
--- source/text/txtexppr.cxx	19 Jun 2006 18:49:03 -0000	1.30
+++ source/text/txtexppr.cxx	30 Jun 2006 12:00:25 -0000	1.30.10.1
@@ -617,7 +617,7 @@
 		sal_Bool bClear = !pUnderlineState;
 		if( !bClear )
 		{
-			sal_Int16 nUnderline;
+			sal_Int16 nUnderline = 0;
 			pUnderlineState->maValue >>= nUnderline;
 			bClear = FontUnderline::NONE == nUnderline;
 		}
Index: source/text/txtflde.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtflde.cxx,v
retrieving revision 1.65
retrieving revision 1.65.10.1
diff -u -r1.65 -r1.65.10.1
--- source/text/txtflde.cxx	19 Jun 2006 18:49:20 -0000	1.65
+++ source/text/txtflde.cxx	30 Jun 2006 12:00:25 -0000	1.65.10.1
@@ -2765,7 +2765,7 @@
 		if (aValues[i].Name.equalsAsciiL("BibiliographicType", 
 										 sizeof("BibiliographicType")-1))
 		{
-			sal_Int16 nTypeId;
+			sal_Int16 nTypeId = 0;
 			aValues[i].Value >>= nTypeId;
 			OUStringBuffer sBuf;
 			
Index: source/text/txtftne.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtftne.cxx,v
retrieving revision 1.16
retrieving revision 1.16.10.1
diff -u -r1.16 -r1.16.10.1
--- source/text/txtftne.cxx	19 Jun 2006 18:49:46 -0000	1.16
+++ source/text/txtftne.cxx	30 Jun 2006 12:00:25 -0000	1.16.10.1
@@ -362,7 +362,7 @@
 	// numbering style
 	OUStringBuffer sBuffer;
 	aAny = rFootnoteConfig->getPropertyValue(sNumberingType);
-	sal_Int16 nNumbering;
+	sal_Int16 nNumbering = 0;
 	aAny >>= nNumbering;
 	GetExport().GetMM100UnitConverter().convertNumFormat( sBuffer, nNumbering);
 	GetExport().AddAttribute(XML_NAMESPACE_STYLE, XML_NUM_FORMAT, 
@@ -376,7 +376,7 @@
 
 	// StartAt / start-value
 	aAny = rFootnoteConfig->getPropertyValue(sStartAt);
-	sal_Int16 nOffset;
+	sal_Int16 nOffset = 0;
 	aAny >>= nOffset;
 	SvXMLUnitConverter::convertNumber(sBuffer, (sal_Int32)nOffset);
 	GetExport().AddAttribute(XML_NAMESPACE_TEXT, XML_START_VALUE,
@@ -393,7 +393,7 @@
 										XML_DOCUMENT : XML_PAGE ) );
 
 		aAny = rFootnoteConfig->getPropertyValue(sFootnoteCounting);
-		sal_Int16 nTmp;
+		sal_Int16 nTmp = 0;
 		aAny >>= nTmp;
 		enum XMLTokenEnum eElement;
 		switch (nTmp)
Index: source/text/txtimppr.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtimppr.cxx,v
retrieving revision 1.18
retrieving revision 1.18.10.1
diff -u -r1.18 -r1.18.10.1
--- source/text/txtimppr.cxx	19 Jun 2006 18:50:12 -0000	1.18
+++ source/text/txtimppr.cxx	30 Jun 2006 12:00:25 -0000	1.18.10.1
@@ -539,7 +539,7 @@
 	{
 		sal_Int16 nVertOrient;
 		pVertOrient->maValue >>= nVertOrient;
-		sal_Int16 nVertOrientRel;
+		sal_Int16 nVertOrientRel = 0;
 		pVertOrientRelAsChar->maValue >>= nVertOrientRel;
 		switch( nVertOrient )
 		{
Index: source/text/txtparae.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtparae.cxx,v
retrieving revision 1.127
retrieving revision 1.127.10.1
diff -u -r1.127 -r1.127.10.1
--- source/text/txtparae.cxx	19 Jun 2006 18:50:27 -0000	1.127
+++ source/text/txtparae.cxx	30 Jun 2006 12:00:25 -0000	1.127.10.1
@@ -1686,7 +1686,7 @@
 
                     if( rPropSetHelper.hasProperty( NUMBERING_IS_NUMBER ) )
                     {
-                        bool bIsNumber;
+                        bool bIsNumber = false;
                         if( xMultiPropSet.is() )
                             rPropSetHelper.getValue(
                                        NUMBERING_IS_NUMBER, xMultiPropSet ) >>= bIsNumber;
@@ -2055,7 +2055,7 @@
 	// text:anchor-page-number
 	if( TextContentAnchorType_AT_PAGE == eAnchor )
 	{
-		sal_Int16 nPage;
+		sal_Int16 nPage = 0;
 		rPropSet->getPropertyValue( sAnchorPageNo ) >>= nPage;
 		GetExport().GetMM100UnitConverter().convertNumber( sValue,
 														   (sal_Int32)nPage );
@@ -2516,7 +2516,7 @@
 	addTextFrameAttributes( rPropSet, sal_False );
 
 	// svg:transform
-	sal_Int16 nVal;
+	sal_Int16 nVal = 0;
 	rPropSet->getPropertyValue( sGraphicRotation ) >>= nVal;
 	if( nVal != 0 )
 	{
Index: source/text/txtstyle.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtstyle.cxx,v
retrieving revision 1.21
retrieving revision 1.21.72.1
diff -u -r1.21 -r1.21.72.1
--- source/text/txtstyle.cxx	16 Mar 2006 12:21:37 -0000	1.21
+++ source/text/txtstyle.cxx	30 Jun 2006 12:00:26 -0000	1.21.72.1
@@ -115,7 +115,7 @@
 			xPropSet->getPropertySetInfo());
 	if( xPropSetInfo->hasPropertyByName( sCategory ) )
 	{
-		sal_Int16 nCategory;
+		sal_Int16 nCategory = 0;
 		xPropSet->getPropertyValue( sCategory ) >>= nCategory;
 		enum XMLTokenEnum eValue = XML_TOKEN_INVALID;
 		if( -1 != nCategory )
Index: source/text/txtvfldi.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/text/txtvfldi.cxx,v
retrieving revision 1.25
retrieving revision 1.25.10.1
diff -u -r1.25 -r1.25.10.1
--- source/text/txtvfldi.cxx	19 Jun 2006 18:51:43 -0000	1.25
+++ source/text/txtvfldi.cxx	30 Jun 2006 12:00:26 -0000	1.25.10.1
@@ -481,7 +481,7 @@
 	if (bRefNameOK)
 	{
 		aAny = xPropertySet->getPropertyValue(sPropertySequenceValue);
-		sal_Int16 nValue;
+		sal_Int16 nValue = 0;
 		aAny >>= nValue;
 		GetImportHelper().InsertSequenceID(sRefName, GetName(), nValue);
 	}
@@ -1020,7 +1020,7 @@
 			// sPropertySubType
 			OUString::createFromAscii(sAPI_sub_type)
 			);
-		sal_Int16 nType;
+		sal_Int16 nType = 0;
 		aAny >>= nType;
 		
 		enum VarType eFMVarType = 
Index: source/xforms/xformsexport.cxx
===================================================================
RCS file: /cvs/xml/xmloff/source/xforms/xformsexport.cxx,v
retrieving revision 1.6
retrieving revision 1.6.10.1
diff -u -r1.6 -r1.6.10.1
--- source/xforms/xformsexport.cxx	19 Jun 2006 18:58:21 -0000	1.6
+++ source/xforms/xformsexport.cxx	30 Jun 2006 12:00:26 -0000	1.6.10.1
@@ -487,7 +487,7 @@
     // we use string as default...
     XMLTokenEnum eToken = XML_STRING;
 
-    sal_uInt16 nDataTypeClass;
+    sal_uInt16 nDataTypeClass = 0;
     xType->getPropertyValue( OUSTRING("TypeClass") ) >>= nDataTypeClass;
     switch( nDataTypeClass )
     {
@@ -546,7 +546,7 @@
                          const Reference<XPropertySet>& xType )
 {
     // we do not need to export basic types; exit if we have one
-    bool bIsBasic;
+    bool bIsBasic = false;
     xType->getPropertyValue( OUSTRING("IsBasic") ) >>= bIsBasic;
     if( bIsBasic )
         return;
